Developers API reference Members Enable, configure or disable the public link
Enable, configure or disable the public link PUT /boards/{boardId}/public-link
PUT /boards/{boardId} /public-linkTry it Base https://api.mockflow.com/v1Scopes members:write
Request
curl https://api.mockflow.com/v1/boards/brd_3f9e2a/public-link \
-X PUT \
-H "Authorization: Bearer $MOCKFLOW_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"enabled" : true,
"slug" : "q4-launch"
}'
const response = await fetch("https://api.mockflow.com/v1/boards/brd_3f9e2a/public-link" , {
method: "PUT" ,
headers: {
Authorization: `Bearer ${process.env.MOCKFLOW_API_KEY}` ,
"Content-Type" : "application/json"
},
body: JSON.stringify({
"enabled" : true ,
"slug" : "q4-launch"
})
});
const data = await response.json();
import os, requests
response = requests.put(
"https://api.mockflow.com/v1/boards/brd_3f9e2a/public-link" ,
headers={"Authorization" : f"Bearer {os.environ['MOCKFLOW_API_KEY']}" },
json={
"enabled" : True ,
"slug" : "q4-launch"
},
)
response.raise_for_status()
data = response.json()
Response
{
"enabled" : false ,
"url" : "https://app.mockflow.com/board/brd_3f9e2a" ,
"slug" : "string" ,
"passwordProtected" : false ,
"embedUrl" : "https://app.mockflow.com/board/brd_3f9e2a" ,
"embedHtml" : "string"
}
{
"error" : {
"code" : "rate_limited" ,
"message" : "Too many requests." ,
"docsUrl" : "https://mockflow.com/developers/concepts/errors#rate_limited"
},
"requestId" : "req_45d49816999bac40"
}
Admin and above. The slug must be unique across every board's slug and id.
Authorization
Authorizationstring header required
Bearer <key>. The key needs members:write scope. Create and manage keys in the developer console , or use an OAuth app to act for other people; what each scope unlocks is on the scopes page .
Path parameters
boardIdstring path required
Body application/json
slugstring | null
Custom slug for the public URL. Null clears it.
passwordstring
Set to protect. Send empty string to clear.
Response 200 · application/json
urlstring | null
The /iview/ link, using the slug when one is set.
embedHtmlstring | null
A responsive iframe snippet for the public board.
Was this page helpful? Yes No PreviousGet the public link Next AI